Bug 186981 - maintainer update: devel/libsysinfo
Summary: maintainer update: devel/libsysinfo
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-23 17:40 UTC by Jason W. Bacon
Modified: 2014-02-24 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.26 KB, patch)
2014-02-23 17:40 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2014-02-23 17:40:03 UTC
Verify that PR 170674 has been resolved (no changes required).

Eliminate NO_STAGE.

Fix: Patch attached with submission follows:
Comment 1 Jason E. Hale freebsd_committer 2014-02-23 22:54:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-02-24 13:04:53 UTC
Author: jhale
Date: Mon Feb 24 13:04:45 2014
New Revision: 345830
URL: http://svnweb.freebsd.org/changeset/ports/345830
QAT: https://qat.redports.org/buildarchive/r345830/

Log:
  - Support staging
  
  While here:
  - Be more specific with BSD license (BSD3CLAUSE)
  - Add USES=uidfix to allow installation by user
  - Align whitespace
  
  PR:		ports/186981
  Submitted by:	Jason Bacon <jwbacon@tds.net> (maintainer)

Added:
  head/devel/libsysinfo/files/
  head/devel/libsysinfo/files/patch-Makefile   (contents, props changed)
Modified:
  head/devel/libsysinfo/Makefile

Modified: head/devel/libsysinfo/Makefile
==============================================================================
--- head/devel/libsysinfo/Makefile	Mon Feb 24 13:04:10 2014	(r345829)
+++ head/devel/libsysinfo/Makefile	Mon Feb 24 13:04:45 2014	(r345830)
@@ -10,20 +10,19 @@ MASTER_SITES=	GOOGLE_CODE
 MAINTAINER=	jwbacon@tds.net
 COMMENT=	GNU libc's sysinfo port for FreeBSD
 
-LICENSE=	BSD
+LICENSE=	BSD3CLAUSE
 
+USES=		uidfix
 USE_LDCONFIG=	yes
 PROJECTHOST=	sysinfo-bsd
 
 LDFLAGS+=	-lkvm
 
 PLIST_FILES=	include/sys/sysinfo.h \
-	lib/libsysinfo.a \
-	lib/libsysinfo.so \
-	lib/libsysinfo.so.0
+		lib/libsysinfo.a \
+		lib/libsysinfo.so \
+		lib/libsysinfo.so.0 \
+		man/man3/sysinfo.3.gz
 PLIST_DIRSTRY=	include/sys
 
-MAN3=		sysinfo.3
-
-NO_STAGE=	yes
 .include <bsd.port.mk>

Added: head/devel/libsysinfo/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/libsysinfo/files/patch-Makefile	Mon Feb 24 13:04:45 2014	(r345830)
@@ -0,0 +1,12 @@
+--- ./Makefile.orig	2012-04-15 10:37:42.000000000 -0400
++++ ./Makefile	2014-02-24 07:11:37.000000000 -0500
+@@ -1,7 +1,7 @@
+ LIB		= sysinfo
+ LIBDIR		= ${PREFIX}/lib/
+-INCLUDEDIR 	= ${PREFIX}/include/sys/
+-MANDIR		= ${PREFIX}/man/man3
++INCLUDEDIR 	= ${DESTDIR}${PREFIX}/include/sys/
++MANDIR		= ${DESTDIR}${PREFIX}/man/man3
+ SHLIB_MAJOR	= 0
+ WITHOUT_PROFILE = yes
+ MAKEOBJDIRPREFIX= /
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason E. Hale freebsd_committer 2014-02-24 13:05:24 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!